petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISEqual

Compares if two index sets have the same set of indices.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISEqual(IS is1,IS is2,PetscBool  *flg)

Collective on IS Many br

### Input Parameters

is1, is2 -The index sets being compared Many br

### Output Parameters

flg -output flag, either PETSC_TRUE (if both index sets have the Many brsame indices), or PETSC_FALSE if the index sets differ by size Many bror by the set of indices) Many br

Many br

### Note

This routine sorts the contents of the index sets before Many brthe comparision is made, so the order of the indices on a processor is immaterial. Many br

Each processor has to have the same indices in the two sets, for example, Many br

              Processor

                0      1

       is1 = {0, 1} {2, 3}

       is2 = {2, 3} {0, 1}

will return false. Many br

Level:intermediate
Location:src/vec/is/is/utils/iscomp.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages